local factorioUtil = require("__core__/lualib/util")

local testEntityPrototype = factorioUtil.table.deepcopy(data.raw["generator"]["steam-engine"])
testEntityPrototype.type = "simple-entity-with-owner"
testEntityPrototype.name = "test"
testEntityPrototype.fast_replaceable_group = "test"
testEntityPrototype.minable.result = "test"
testEntityPrototype.picture = {
	north = {
		filename = "__base__/graphics/entity/steam-engine/steam-engine-V.png",
		width = 112,
		height = 195,
		shift = util.by_pixel(5, -6.5),
	},
	east = {
		filename = "__base__/graphics/entity/steam-engine/steam-engine-H.png",
        width = 176,
        height = 128,
        shift = util.by_pixel(1, -5)
    },
	south = {
		filename = "__base__/graphics/entity/steam-engine/steam-engine-V.png",
		width = 112,
		height = 195,
		shift = util.by_pixel(5, -6.5),
	},	
	west = {
		filename = "__base__/graphics/entity/steam-engine/steam-engine-H.png",
        width = 176,
        height = 128,
        shift = util.by_pixel(1, -5)
    }
}

local testItemPrototype = factorioUtil.table.deepcopy(data.raw["item"]["steam-engine"])
testItemPrototype.name = "test"
testItemPrototype.place_result = "test"

data:extend({
	testEntityPrototype,
	testItemPrototype
})